#Behandelt später die Hauptschleife und Klassenobjekte
class Game():
    def __init__(self) -> None:
        self.__state = {
            "started":False,
            "playermove":False, 
            "win":False, 
            "lose":False, 
            "paused":False, 
            "menu":False
            }

    def get_state(self, state):
        return self.__state[state]
    
    def change_state(self, state):
        """Toggles the selected game state"""
        if(not self.__state[state]):
            self.__state[state] = True
        else:
            self.__state[state] = False

    def scoreboard(self):
        pass

    def spawn_fruit(self):
        pass

    def spawn_player(self):
        pass
